PHP Manual
Prev |  | Next

# SoapServer->handle()

(no version information, might be only in CVS)

SoapServer->handle() -- Handles a SOAP request

## Description

class SoapServer {
void handle ( [string soap_request] )
}

Processes a SOAP request, calls necessary functions, and sends a response back.

## Parameters

soap_request

  The SOAP request. If this argument is omitted, the request is supposed to be in the $HTTP_RAW_POST_DATA PHP variable.

## Return Values

No value is returned.

## Examples

Example 1. Some examples
`<?php function test($x) { return $x; } $server = new SoapServer(null, array('uri' => "http://test-uri/")); $server->addFunction("test"); $server->handle(); ?>`

## See Also

SoapServer->__construct()

Prev | Home | Next
SoapServer->getFunctions() | Up | SoapServer->setClass()